'use strict'

/**
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
class core {
    /**
     * Префикс в журнале
     */
    prefix = 'ядро';

    /**
     * Инициализация
     */
    init() {
        this.log('Инициализация');
        window.addEventListener("popstate", this.router);
        this.log('Инициализировано');
    }

    /**
     * Маршрутизатор
     */
    router() {
        if (document.location.pathname === '/settings') {
            // Открыта страница настроек (https://vk.com/settings)

            if (document.location.search === '?act=nadrez') {
                // Открыта страница настроек расширения "надрез мозжечка" (https://vk.com/settings?act=nadrez)

                alert('открыта залупа');
            } else {
                console.log('открыто другое...');
            }
        } else {
            console.log('открыто ваще другое...');
        }
    }

    /**
     * Запись в журнал
     *
     * @param {string} text
     *
     * @return {bool} Статус записи в журнал
     */
    log(text) {
        if (typeof text === 'string') {
            // Передана строка

            // Запись в журнал
            return log.write(this.prefix, text);
        }

        return false;
    }
}

// Запуск
new core().init();
